package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.back.serve.pojo.entity.*;
import com.zanxiang.game.back.serve.pojo.enums.BackStatusEnum;

import java.time.LocalDateTime;

public interface IGameTencentMiniGameBackLogService extends IService<GameTencentMiniGameBackLog> {

    void linkCallBack(GameTencentMiniGameCallback callback);

    Tuple2<BackStatusEnum, String> userAndRoleRegisterBack(GameTencentMiniGameUser userLog);

    Tuple2<BackStatusEnum, String> userBack(GameTencentMiniGameUser userLog);

    Tuple2<BackStatusEnum, String> orderBack(GameTencentMiniGameOrder orderLog, LocalDateTime backTime, Long backMoney);

    Tuple2<BackStatusEnum, String> roleRegisterBack(GameTencentMiniGameRoleRegister roleRegisterLog);

    Tuple2<BackStatusEnum, String> tutorialFinishBack(GameTencentMiniGameRoleRegister roleRegisterLog);
}
